#ifndef	_IMME_API
#define	_IMME_API

#define ebFirstFlag *eb_FirstFlag

_declspec(dllimport) BOOL	*eb_FirstFlag;
/*
#ifdef _EBAMAIN
BOOL& ebFirstFlag=*eb_FirstFlag;
#else
extern BOOL ebFirstFlag;
#endif
*/
_declspec(dllimport) int	ebClearMenu();
_declspec(dllimport) int	ebGetMenuChoice(char* menu_list, int *choice);
_declspec(dllimport) int	ebGetMenuChoiceBrk(char* menu_list, int *choice);
_declspec(dllimport) int	ebGetMenuInt(char* vname,int *value, int min, int max);
_declspec(dllimport) int	ebGetMenuReal(char* vname,double *value, double min, double max);
_declspec(dllimport) int	ebGetMenuString(char* vname,char *value, int length);
_declspec(dllimport) int	ebGetMenuChoiceCondition(char* menu_list, int *choice, int *menu_choice, int condition);
_declspec(dllimport) int	ebGetMenuIntCondition(char* vname,int *value, int min, int max, int  *menu_choice, int condition);
_declspec(dllimport) int	ebGetMenuRealCondition(char*vname,double *value, double min,  double max, int *menu_choice, int condition);
_declspec(dllimport) int	ebGetMenuStringCondition(char* vname, char *value, int length,	int  *menu_choice, int condition);


#endif